Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPEnvelope

    java.lang.Object
      org.deegree.io.shpapi.SHPEnvelope

All Implemented Interfaces:
  Serializable

    public class SHPEnvelope

extends Object
implements Serializable

Class representing a rectangle - envelope.

Last changes:
07.01.2000 ap: all methods copied from Rectangle.java
07.01.2000 ap: constructor renamed
17.01.2000 ap: constructor SHPEnvelope(ESRIBoundingBox Ebb) removed
17.01.2000 ap: constructor SHPEnvelope(SHPEnvelope env)implemented
01.08.2000 ap: method writeSHPEnvelope() added

Version:
  01.08.2000
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary
`double` | `east`
`double` | `north`
`static int` | `recEast`
`static int` | `recNorth`
`static int` | `recSouth`
`static int` | `recWest` this order: west, east, north, south
`double` | `south`
`double` | `west`

Constructor Summary
`SHPEnvelope()`
`SHPEnvelope(byte[] recBuf)`
`SHPEnvelope(double westbc, double eastbc, double northbc, double southbc)`
`SHPEnvelope(SHPEnvelope env)` create from an existing SHPEnvelope
`SHPEnvelope(SHPPoint min, SHPPoint max)` Transform from WKBPoint to Rectangle

Method Summary
`String` | `toString()`
`byte[]` | `writeBESHPEnvelope()`
`byte[]` | `writeLESHPEnvelope()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### recWest

    public static final int recWest

  this order: west, east, north, south

  See Also:
    Constant Field Values

### recSouth

    public static final int recSouth

See Also:
  Constant Field Values

### recEast

    public static final int recEast

See Also:
  Constant Field Values

### recNorth

    public static final int recNorth

See Also:
  Constant Field Values

### west

    public double west

### east

    public double east

### north

    public double north

### south

    public double south

Constructor Detail

### SHPEnvelope

    public SHPEnvelope()

### SHPEnvelope

    public SHPEnvelope(double westbc,
                       double eastbc,
                       double northbc,
                       double southbc)

Parameters:
  `westbc` -
  `eastbc` -
  `northbc` -
  `southbc` -

### SHPEnvelope

    public SHPEnvelope(SHPPoint min,
                       SHPPoint max)

  Transform from WKBPoint to Rectangle

  Parameters:
    `min` -
    `max` -

### SHPEnvelope

    public SHPEnvelope(SHPEnvelope env)

  create from an existing SHPEnvelope

  Parameters:
    `env` -

### SHPEnvelope

    public SHPEnvelope(byte[] recBuf)

Parameters:
  `recBuf` -

Method Detail

### writeLESHPEnvelope

    public byte[] writeLESHPEnvelope()

  Returns:
    the new byte array

### writeBESHPEnvelope

    public byte[] writeBESHPEnvelope()

  Returns:
    the new byte array

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org